{#
/**
 * @file
 *
 * Default product template.
 *
 * Available variables:
 * - attributes: HTML attributes for the wrapper.
 * - product: The rendered product fields.
 *   Use 'product' to print them all, or print a subset such as
 *   'product.title'. Use the following code to exclude the
 *   printing of a given field:
 *   @code
 *   {{ product|without('title') }}
 *   @endcode
 * - product_entity: The product entity.
 * - product_url: The product URL.
 *
 * @ingroup themeable
 */
#}

{%
  set classes = [
  'cp',
  'cp-' ~ product_entity.bundle|clean_class,
  view_mode ? 'cp-' ~ product_entity.bundle|clean_class ~ '-'~ view_mode|clean_class,
  'entity-view-link'
]
%}
<article{{ attributes.addClass(classes) }}>
  <a class="entity-view-link-href" href="{{ product_url }}"></a>
  <div class="cp__top-wrapper">
    {{ product.field_images }}
    <h2>
      {{ label }}
    </h2>
  </div>
  <div{{ content_attributes.addClass('cp__content', 'text-content') }}>
    {{- product|without('variation_attributes', 'field_images') -}}
  </div>
</article>
